<?php namespace EscapeWork\Manager\Downloads\Repositories\DownloadCategory;

use EscapeWork\Manager\Repositories\BaseEloquentRepository;
use EscapeWork\Manager\Downloads\Models\DownloadCategory;

class EloquentDownloadCategoryRepository extends BaseEloquentRepository implements DownloadCategoryRepository
{
    public function __construct(DownloadCategory $downloadCategory)
    {
        $this->model = $downloadCategory;
    }

    /**
     * A group has many questions
     */
    public function downloads()
    {
        return $this->hasMany('Download', 'category_id');
    }
}
