## escapework/manager-downloads

Módulo para gerenciamento de downloads

## Instalação

Adiciona os seguintes itens no seu `composer.json` e execute um `composer update`:

```json
{
    "require": {
        "escapework/manager-downloads": "0.8.*"
    },

    "repositories": [
        {
            "type": "composer",
            "url": "http://packages.escape.ppg.br"
        }
    ],
}
```

### ServiceProvider

Adicione a linha `'EscapeWork\Manager\Downloads\ManagerDownloadsServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Configurações

Execute o comando para executar as configurações necessárias.

```sh
$ php artisan manager-downloads:configure
```

### Manager

Depois disso, você já poderá acessar o cadastro de downloads pela URL `http://seusite.dev/manager/downloads`.

### Rotas

As rotas nomeadas deste projeto são:

* `manager.downloads.index`
* `manager.downloads.create`
* `manager.downloads.store`
* `manager.downloads.edit`
* `manager.downloads.update`
* `manager.downloads.destroy`

### Todo

* Testes unitários;
